Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005454OCamlOCaml generalpublic2011-12-28 23:032012-09-25 20:07
Reporterdbuenzli 
Assigned Tomeyer 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version3.13.0+dev 
Summary0005454: Digest.compare is missing and md5 doc update
DescriptionDigest.compare would be nice to be able to directly give the module to Set.Make and Map.Make. Besides the doc states :

"The digests are of cryptographic quality: it is very hard, given a digest, to forge a string having that digest. The algorithm used is MD5."

The assertion is still true, however it should be mentioned that md5 is no longer secure in a malicious setting as it is vulnerable to collision attacks.

Best,

Daniel
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006550)
meyer (developer)
2011-12-29 04:25

Hello Daniel,

Please see SVN r11973.

Thanks,
Wojciech
(0006553)
dbuenzli (reporter)
2011-12-29 12:16

That was fast. Thanks.

- Issue History
Date Modified Username Field Change
2011-12-28 23:03 dbuenzli New Issue
2011-12-29 03:04 meyer Assigned To => meyer
2011-12-29 03:04 meyer Status new => assigned
2011-12-29 04:25 meyer Note Added: 0006550
2011-12-29 04:25 meyer Status assigned => resolved
2011-12-29 04:25 meyer Fixed in Version => 3.13.0+dev
2011-12-29 04:25 meyer Resolution open => fixed
2011-12-29 12:16 dbuenzli Note Added: 0006553
2012-09-25 20:07 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker